Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2EdgeShape Class Reference

`#include <b2EdgeShape.h>`

Inheritance diagram for b2EdgeShape:

## Public Member Functions
| b2EdgeShape ()
void | Set (const b2Vec2 &v1, const b2Vec2 &v2)
| Set this as an isolated edge. More...
b2Shape * | Clone (b2BlockAllocator *allocator) const
| Implement b2Shape. More...
int32 | GetChildCount () const
bool | TestPoint (const b2Transform &transform, const b2Vec2 &p) const
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input, const b2Transform &transform, int32 childIndex) const
| Implement b2Shape. More...
void | ComputeAABB (b2AABB *aabb, const b2Transform &transform, int32 childIndex) const
void | ComputeMass (b2MassData *massData, float32 density) const
Public Member Functions inherited from b2Shape
virtual | ~b2Shape ()
Type | GetType () const

## Public Attributes
b2Vec2 | m_vertex1
| These are the edge vertices. More...
b2Vec2 | m_vertex2
b2Vec2 | m_vertex0
| Optional adjacent vertices. These are used for smooth collision. More...
b2Vec2 | m_vertex3
bool | m_hasVertex0
bool | m_hasVertex3
Public Attributes inherited from b2Shape
Type | m_type
float32 | m_radius

## Additional Inherited Members
Public Types inherited from b2Shape
enum | Type { e_circle = 0, e_edge = 1, e_polygon = 2, e_chain = 3, e_typeCount = 4 }

## Detailed Description

A line segment (edge) shape. These can be connected in chains or loops to other edge shapes. The connectivity information is used to ensure correct contact normals.

## Constructor & Destructor Documentation

b2EdgeShape | ( |  | ) |
| inline

## Member Function Documentation

b2Shape * Clone | ( | b2BlockAllocator * | allocator | ) | const
| virtual

Implement b2Shape.

Implements b2Shape.

void ComputeAABB | ( | b2AABB * | aabb,
|  | const b2Transform & | transform,
|  | int32 | childIndex
| ) |  | const
| virtual

See also
  b2Shape::ComputeAABB

Implements b2Shape.

void ComputeMass | ( | b2MassData * | massData,
|  | float32 | density
| ) |  | const
| virtual

See also
  b2Shape::ComputeMass

Implements b2Shape.

int32 GetChildCount | ( |  | ) | const
| virtual

See also
  b2Shape::GetChildCount

Implements b2Shape.

bool RayCast | ( | b2RayCastOutput * | output,
|  | const b2RayCastInput & | input,
|  | const b2Transform & | transform,
|  | int32 | childIndex
| ) |  | const
| virtual

Implement b2Shape.

Implements b2Shape.

void Set | ( | const b2Vec2 & | v1,
|  | const b2Vec2 & | v2
| ) |  |

Set this as an isolated edge.

bool TestPoint | ( | const b2Transform & | transform,
|  | const b2Vec2 & | p
| ) |  | const
| virtual

See also
  b2Shape::TestPoint

Implements b2Shape.

## Member Data Documentation

bool m_hasVertex0

bool m_hasVertex3

b2Vec2 m_vertex0

Optional adjacent vertices. These are used for smooth collision.

b2Vec2 m_vertex1

These are the edge vertices.

b2Vec2 m_vertex2

b2Vec2 m_vertex3

The documentation for this class was generated from the following files:

- Box2D/Collision/Shapes/b2EdgeShape.h
- Box2D/Collision/Shapes/b2EdgeShape.cpp